Package icyllis.modernui.text

# Class Typeface

java.lang.Object
icyllis.modernui.graphics.text.FontCollection
icyllis.modernui.text.Typeface

@Immutable public class Typeface extends FontCollection
The Typeface specifies a set of font families that can be used in Paint. This determines how text appears when drawn and measured.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.modernui.graphics.text.FontCollection

  `FontCollection.Run`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BOLD`
  Font style constant to request the bold style
  `static final int`
  `BOLD_ITALIC`
  Font style constant to request the bold and italic style
  `static final int`
  `ITALIC`
  Font style constant to request the italic style
  `static final Typeface`
  `MONOSPACED`
  `static final int`
  `NORMAL`
  Font style constant to request the plain/regular/normal style
  `static final Typeface`
  `SANS_SERIF`
  `static final Typeface`
  `SERIF`

  ### Fields inherited from class icyllis.modernui.graphics.text.FontCollection

  `GC_M_MASK, REPLACEMENT_CHARACTER, UNSUPPORTED_FONT_SCORE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Typeface`
  `createTypeface(FontFamily... families)`
  `static Typeface`
  `getSystemFont(String familyName)`

  ### Methods inherited from class icyllis.modernui.graphics.text.FontCollection

  `doesNotNeedFontSupport, equals, getFamilies, hashCode, isCombining, isEmojiBreak, isStickyWhitelisted, isVariationSelector, itemize, itemize, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SANS_SERIF

    public static final Typeface SANS_SERIF

  - ### SERIF

    public static final Typeface SERIF

  - ### MONOSPACED

    public static final Typeface MONOSPACED

  - ### NORMAL

    public static final int NORMAL
    Font style constant to request the plain/regular/normal style
    See Also:
      - Constant Field Values

  - ### BOLD

    public static final int BOLD
    Font style constant to request the bold style
    See Also:
      - Constant Field Values

  - ### ITALIC

    public static final int ITALIC
    Font style constant to request the italic style
    See Also:
      - Constant Field Values

  - ### BOLD_ITALIC

    public static final int BOLD_ITALIC
    Font style constant to request the bold and italic style
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createTypeface

    @NonNull public static Typeface createTypeface(@NonNull FontFamily... families)

  - ### getSystemFont

    @NonNull public static Typeface getSystemFont(@NonNull String familyName)